OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
opal_cr.c File Reference

OPAL Layer Checkpoint/Restart Runtime functions. More...

`#include "opal_config.h"`
`#include <errno.h>`
`#include "opal/class/opal_object.h"`
`#include "opal/util/opal_environ.h"`
`#include "opal/util/show_help.h"`
`#include "opal/util/output.h"`
`#include "opal/util/malloc.h"`
`#include "opal/util/keyval_parse.h"`
`#include "opal/util/argv.h"`
`#include "opal/memoryhooks/memory.h"`
`#include "opal/mca/base/base.h"`
`#include "opal/runtime/opal_cr.h"`
`#include "opal/runtime/opal.h"`
`#include "opal/constants.h"`
`#include "opal/mca/if/base/base.h"`
`#include "opal/mca/memcpy/base/base.h"`
`#include "opal/mca/memory/base/base.h"`
`#include "opal/mca/timer/base/base.h"`
`#include "opal/mca/paffinity/base/base.h"`
`#include "opal/threads/mutex.h"`
`#include "opal/threads/threads.h"`
`#include "opal/mca/crs/base/base.h"`

## Functions
static double | opal_cr_get_time (void)
static void | display_indv_timer_core (double diff, char *str)
static int | extract_env_vars (int prev_pid, char *file_name)
static void | opal_cr_sigpipe_debug_signal_handler (int signo)
int | opal_cr_set_enabled (bool en)
int | opal_cr_init (void)
| Initialize the notification and coordination elements.
int | opal_cr_finalize (void)
| Finalize the notification and coordination elements.
void | opal_cr_test_if_checkpoint_ready (void)
int | opal_cr_inc_core_prep (void)
int | opal_cr_inc_core_ckpt (pid_t pid, opal_crs_base_snapshot_t *snapshot, opal_crs_base_ckpt_options_t *options, int *state)
int | opal_cr_inc_core_recover (int state)
int | opal_cr_inc_core (pid_t pid, opal_crs_base_snapshot_t *snapshot, opal_crs_base_ckpt_options_t *options, int *state)
| Function to go through the INC. More...
int | opal_cr_coord (int state)
| Current Coordination callback routines. More...
int | opal_cr_reg_notify_callback (opal_cr_notify_callback_fn_t new_func, opal_cr_notify_callback_fn_t *prev_func)
int | opal_cr_user_inc_register_callback (opal_cr_user_inc_callback_event_t event, opal_cr_user_inc_callback_fn_t function, opal_cr_user_inc_callback_fn_t *prev_function)
int | trigger_user_inc_callback (opal_cr_user_inc_callback_event_t event, opal_cr_user_inc_callback_state_t state)
int | opal_cr_reg_coord_callback (opal_cr_coord_callback_fn_t new_func, opal_cr_coord_callback_fn_t *prev_func)
| Register a checkpoint coodination routine for a higher level.
int | opal_cr_refresh_environ (int prev_pid)
void | opal_cr_set_time (int idx)
| Checkpoint life-cycle timing.
void | opal_cr_clear_timers (void)
void | opal_cr_display_all_timers (void)

## Variables
bool | opal_cr_stall_check = false
bool | opal_cr_currently_stalled = false
int | opal_cr_output
int | opal_cr_initalized = 0
static double | timer_start [OPAL_CR_TIMER_MAX]
bool | opal_cr_timing_barrier_enabled = false
bool | opal_cr_timing_enabled = false
int | opal_cr_timing_my_rank = 0
int | opal_cr_timing_target_rank = 0
static opal_cr_user_inc_callback_fn_t | cur_user_coord_callback [OMPI_CR_INC_MAX] = {NULL}
static opal_cr_coord_callback_fn_t | cur_coord_callback = NULL
static opal_cr_notify_callback_fn_t | cur_notify_callback = NULL
static int | core_prev_pid = 0
char * | opal_cr_pipe_dir = NULL
int | opal_cr_entry_point_signal = 0
bool | opal_cr_is_enabled = true
bool | opal_cr_is_tool = false
int | opal_cr_checkpointing_state = OPAL_CR_STATUS_NONE
int | opal_cr_checkpoint_request = OPAL_CR_STATUS_NONE
static bool | opal_cr_debug_sigpipe = false

## Detailed Description

OPAL Layer Checkpoint/Restart Runtime functions.

## Function Documentation

int opal_cr_coord | ( | int | state | ) |

Current Coordination callback routines.

OPAL Checkpoint Coordination Routine.

Referenced by opal_cr_init().

int opal_cr_inc_core | ( | pid_t | pid,
|  | opal_crs_base_snapshot_t * | snapshot,
|  | opal_crs_base_ckpt_options_t * | options,
|  | int * | state
| ) |  |

Function to go through the INC.

- Call Registered INC_Coord(CHECKPOINT)
- Call the CRS.checkpoint()
- Call Registered INC_Coord(state)